<?php

namespace App\Controller;

use App\Security\EmailVerifier;
use Symfony\Bridge\Twig\Mime\TemplatedEmail;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Mime\Address;
use Symfony\Component\Routing\Annotation\Route;

/**
 * @Route("/email/confirmation")
 */
class EmailConfirmationController extends AbstractController
{    
    /**
     * @Route("/failed", name="email_failed")
     */
    public function failed(): Response
    {
        return $this->render('email_confirmation/failed.html.twig');
    }

    /**
     * @Route("/resend", name="email_confirmation_resend")
     */
    public function resend(EmailVerifier $emailVerifier): Response
    {
        $user = $this->getUser();
        $emailVerifier->sendEmailConfirmation('app_verify_email', $user,
            (new TemplatedEmail())
                ->from(new Address('no-reply@id-3d.fr', 'ID3D'))
                ->to($user->getEmail())
                ->subject('Veuillez confirmer votre email')
                ->htmlTemplate('registration/confirmation_email.html.twig')
        );
        return $this->render('email_confirmation/resend.html.twig');
    }
}
