<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

class HomeController extends AbstractController
{
    /**
     * @Route("/", name="home")
     */
    public function index(): Response
    {
        $user = $this->getUser();
        if (!$user) 
        {
            return $this->redirectToRoute('app_login');
        } 
        else if (!$user->isVerified())
        {
            return $this->redirectToRoute('email_failed');
        }
        else if ($this->isGranted('ROLE_ADMIN')) 
        {
            return $this->redirectToRoute('admin_purchase_index');
        }
        return $this->redirectToRoute('purchase_index');
    }
}
