<?php

namespace App\Controller;

use App\Repository\PaymentRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

class PaymentController extends AbstractController
{
    /**
     * @Route("/payment/success/{stripeSessionId}", name="payment_success")
     */
    public function success(PaymentRepository $paymentRepository, string $stripeSessionId): Response
    {
        $payment = $paymentRepository->findOneBy([
            'stripeSessionId' => $stripeSessionId
        ]);
        $payment->setIsComplete(true);
        $payment->setCompletedAt(new \DateTime());
        $payment->getInvoice()->setStatus('paid');
        $this->getDoctrine()->getManager()->flush();
        return $this->render('payment/success.html.twig', [
            'payment' => $payment
        ]);
    }
    
    /**
     * @Route("/payment/failure/{stripeSessionId}", name="payment_failure")
     */
    public function failure(PaymentRepository $paymentRepository, string $stripeSessionId): Response
    {
        $payment = $paymentRepository->findOneBy([
            'stripeSessionId' => $stripeSessionId
        ]);
        return $this->render('payment/failure.html.twig', [
            'payment' => $payment
        ]);
    }
    
    /**
     * @Route("/payment/redirect/{stripeSessionId}", name="payment_redirect")
     */
    public function payment_redirect(string $stripeSessionId): Response
    {
        return $this->render('payment/redirect.html.twig', [
            'stripe_session_id' => $stripeSessionId,
        ]);
    }
}
