<?php

namespace App\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=App\Repository\PrintingRepository::class)
 */
class Printing
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $filepath;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    private $isActive;

    /**
     * @ORM\ManyToOne(targetEntity=CameraStream::class)
     */
    private $cameraStream;

    /**
     * @ORM\Column(type="integer")
     */
    private $quantity;

    /**
     * @ORM\ManyToOne(targetEntity=Purchase::class, inversedBy="printings")
     */
    private $purchase;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $quality;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $filament;

    public function __construct()
    {
        
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getFilepath(): ?string
    {
        return $this->filepath;
    }

    public function setFilepath(?string $filepath): self
    {
        if ($filepath) {
            $this->filepath = $filepath;
        }

        return $this;
    }
    
    public function getIsActive(): ?bool
    {
        return $this->isActive;
    }

    public function setIsActive(bool $isActive): self
    {
        $this->isActive = $isActive;

        return $this;
    }

    public function __toString(): string {
        return '#' . $this->id ;
    }

    public function getCameraStream(): ?CameraStream
    {
        return $this->cameraStream;
    }

    public function setCameraStream(?CameraStream $cameraStream): self
    {
        $this->cameraStream = $cameraStream;

        return $this;
    }

    public function getQuantity(): ?int
    {
        return $this->quantity;
    }

    public function setQuantity(int $quantity): self
    {
        $this->quantity = $quantity;

        return $this;
    }

    public function getPurchase(): ?Purchase
    {
        return $this->purchase;
    }

    public function setPurchase(?Purchase $purchase): self
    {
        $this->purchase = $purchase;

        return $this;
    }

    public function getQuality(): ?string
    {
        return $this->quality;
    }

    public function setQuality(?string $quality): self
    {
        $this->quality = $quality;

        return $this;
    }

    public function getFilament(): ?string
    {
        return $this->filament;
    }

    public function setFilament(?string $filament): self
    {
        $this->filament = $filament;

        return $this;
    }
}
