<?php

namespace App\Form;

use App\Entity\CameraStream;
use App\Entity\Printing;
use App\Entity\User;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\FileType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\Extension\Core\Type\NumberType;
use Symfony\Component\Form\Extension\Core\Type\TextType;

class PrintingAdminType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('filepath', FileType::class, [
                'data_class' => null,
                'required' => false,
                'label' => 'Sélectionnez un fichier'
            ])
            ->add('quantity', NumberType::class, [
                'label' => "Nombre d'exemplaires"
            ])
            ->add('cameraStream', EntityType::class, [
                'class' => CameraStream::class,
                'label' => 'Stream camera'
            ])
            ->add('isActive', CheckboxType::class, [
                'label' => 'Pris en charge',
                'required' => false
            ])
            ->add('quality', ChoiceType::class, [
                'choices' => [
                    "Qualité standard" => 'Standard',
                    "Haute qualité" => 'Haute'
                ]
            ])
            ->add('filament', TextType::class, [
                'label' => "Filament",
                'attr' => [
                    'placeholder' => 'Vous pouvez choisir un filament ci-dessous ...'
                ]
            ])
        ;
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'data_class' => Printing::class,
        ]);
    }
}
