<?php

namespace App\Service;

use \Stripe\StripeClient;

class PaymentService 
{
    private $stripe;
    private $urlBuilderService;

    public function __construct(UrlBuilderService $urlBuilderService)
    {
        $this->urlBuilderService = $urlBuilderService;
        $this->stripe = new StripeClient('sk_test_51JEeFcCog4t8thDFikcmwiNv95LIfFuBuOmDQtuYKPk0sewNE9Cd3Ae5zuh0MCNY0ymePDdqbgIifoxj3ctZdP1c003FdkDOp2');
    }

    public function create(float $amount): string
    {
        $successUrl = $this->urlBuilderService->build('/payment/success/{CHECKOUT_SESSION_ID}');
        $failureUrl = $this->urlBuilderService->build('/payment/failure/{CHECKOUT_SESSION_ID}');

        $session = $this->stripe->checkout->sessions->create([
            'success_url' => $successUrl,
            'cancel_url' => $failureUrl,
            'payment_method_types' => ['card'],
            'mode' => 'payment',
            'line_items' => [
                [
                    'amount' => $amount * 100.0,
                    'quantity' => 1,
                    'currency' => 'eur',
                    'name' => 'Impression id-3d.fr'
                ]
            ]
        ]);

        return $session->id;
    }
}