<?php

namespace App\Service;

use TCPDF;

class PdfService
{
    private $targetDirectory;

    public function __construct($targetDirectory)
    {
        $this->targetDirectory = $targetDirectory;
        if (!is_dir($this->targetDirectory)) {
            mkdir($this->targetDirectory);
        }
    }

    public function generate(string $html, string $filename): string
    {
        $pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
        $pdf->SetCreator("ID-3D");
        $pdf->SetAuthor('ID-3D');
        $pdf->SetTitle('Facture');
        $pdf->SetPrintHeader(false);
        $pdf->SetPrintFooter(false);
        // set default monospaced font
        $pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);
        // set auto page breaks
        $pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);
        // set image scale factor
        $pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);
        // ---------------------------------------------------------
        // set default font subsetting mode
        $pdf->setFont('dejavusans', '', 12, '', true);
        $pdf->AddPage();
        $pdf->writeHTML($html);
        $outFilepath = $this->targetDirectory . '/' . $filename;
        $pdf->Output($outFilepath, 'F');
        return $outFilepath;
    }
}
