<?php

namespace App\Twig;

use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;

class AppExtension extends AbstractExtension
{
    public function getFilters()
    {
        return [
            new TwigFilter('pruchase_status_prettify', [$this, 'purchaseStatusPrettify']),
            new TwigFilter('invoice_status_prettify', [$this, 'invoiceStatusPrettify']),
        ];
    }

    public function purchaseStatusPrettify(?string $status): string
    {
        if ($status === 'waiting_validation')
            return "ID-3D valide actuellement votre commande";
        if ($status === 'confirmed')
            return "Commande prise en charge";
        if ($status === 'printing')
            return "Impression en cours";
        if ($status === 'ready')
            return "Commande prête à être expédiée";
        if ($status === 'delivered')
            return "Commande expédiée";
        return "En attente de votre validation";
    }

    public function invoiceStatusPrettify(?string $status): string
    {
        if ($status === 'invoice_not_sent')
            return "Non envoyée";
        if ($status === 'sent_but_not_paid')
            return "Envoyée, mais non réglée";
            if ($status === 'paid')
                return "Réglée";
        return $status;
    }
}
